Package com.sun.jna.platform.win32

# Class WinDef.PVOID

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.WinDef.PVOID

All Implemented Interfaces:
  `NativeMapped`

Direct Known Subclasses:
  `Ddeml.HDDEDATA`, `WinUser.HDEVNOTIFY`

Enclosing interface:
  WinDef

public static class WinDef.PVOID extends PointerType
The Class PVOID.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PVOID()`
  `PVOID(Pointer pointer)`
  Instantiates a new pvoid.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PVOID

    public PVOID()

  - ### PVOID

    public PVOID(Pointer pointer)
    Instantiates a new pvoid.
    Parameters:
      `pointer` - the pointer